Recommended update for quilt

SUSE Recommended Update: Recommended update for quilt
Announcement ID: SUSE-RU-2019:3388-1
Rating: moderate
References: #1149950 #873817
Affected Products:
  • SUSE Linux Enterprise Software Development Kit 12-SP5
  • SUSE Linux Enterprise Software Development Kit 12-SP4

An update that has two recommended fixes can now be installed.

Description:

This update for quilt fixes the following issues:

  • Fix rpm-build replacing echo with printf. (bsc#873817)
  • Fix the case where the "-d" or "--sourcedir" option contains "." or "..". (bsc#1149950)
  • Fix bash completion handling of mail, new and push options.
  • Pass "--sysconfdir" to configure so that the configuration files are installed in the right place.
  • Correct helptext in German locale.
  • Fix to work with perl 5.26.

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Software Development Kit 12-SP5:
    zypper in -t patch SUSE-SLE-SDK-12-SP5-2019-3388=1
  • SUSE Linux Enterprise Software Development Kit 12-SP4:
    zypper in -t patch SUSE-SLE-SDK-12-SP4-2019-3388=1

Package List:

  • SUSE Linux Enterprise Software Development Kit 12-SP5 (noarch):
    • quilt-0.65-7.3.1
  • SUSE Linux Enterprise Software Development Kit 12-SP4 (noarch):
    • quilt-0.65-7.3.1

References: